﻿var sgfD = 3;   //段位
var sgfG = 1;   //级位
var sgfN = 1;   //第几题
var sgfC = 0;   //类别
var sgfStr = "";
var sgfSection = 0;
var tipColor = 0;


var player;
var isEnd = false;
var iFirst = 0; //0是黑，1是白
var isRight = false; //是否正确落子


function setCookie(name, value) {
    var Days = 30;
    var exp = new Date();
    exp.setTime(exp.getTime() + Days * 24 * 60 * 60 * 1000);
    document.cookie = name + "=" + escape(value) + ";expires=" + exp.toGMTString();
}
function getCookie(name)//取cookies函数        
{
    var arr = document.cookie.match(new RegExp("(^| )" + name + "=([^;]*)(;|$)"));
    if (arr != null) return unescape(arr[2]); return null;
}
function delCookie(name)//删除cookie
{
    var exp = new Date();
    exp.setTime(exp.getTime() - 1);
    var cval = getCookie(name);
    if (cval != null) document.cookie = name + "=" + cval + ";expires=" + exp.toGMTString();
}

/*页面按钮*/
function onClickPrep(i) {
    //判断是否有下一个，按钮状态已经判断
    if (i) {
        setQuestionCookie(sgfG, sgfN - 1);
       // window.location.href = "wgo-question.php?g=" + sgfG + "&n=" + (sgfN - 1) + "&c=" + sgfC;
    }
    else {
        setCookie("tq_d_id", sgfD);
        setCookie("tq_n_id", sgfN - 1);
       // window.location.href = "wgo.php?d=" + sgfD + "&n=" + (sgfN - 1);
    }
}
function onClickNext(i) {
    //判断是否有下一个
    if (i) {
        setQuestionCookie(sgfG, sgfN + 1);
       // window.location.href = "wgo-question.php?g=" + sgfG + "&n=" + (sgfN + 1) + "&c=" + sgfC;
    }
    else {
        setCookie("tq_d_id", sgfD);
        setCookie("tq_n_id", sgfN + 1);
       // window.location.href = "wgo.php?d=" + sgfD + "&n=" + (sgfN + 1);
    }
}

function tipHide() {
    $('#tipRight').hide();
    $('#tipWrong0').hide();
    $('#tipWrong1').hide();
}

function tipShowWrong() {
    if (tipColor){
		$('#tipWrong0').hide();
		$('#tipWrong1').show();
		window.GoJSInvokeClass.success(0,'不正确！请再想一想。');
    }
    else{
		$('#tipWrong1').hide();
		$('#tipWrong0').show();
		window.GoJSInvokeClass.success(0,'答错了！再思考一下。');
    }
    tipColor = !tipColor;
}

function jsTip(){
   window.GoJSInvokeClass.tip();
}

function onClickPlayNext() {
    //判断是否有下一步
    player.next();
    player.next();
    isRight = false;
    tipHide();
}

function onSelectD() {
    alert("select");
}

function onGoto() {
    //alert("goto");
    //player.goto(10);
    //转到第几谱，而不是第几步。
}
/**自动做题*/
function onAuto() {
  //  alert("auto");
}
function onRedoQuestion(){
    isEnd = false;
    isRight = false;
    player.first();
    tipHide();
}
function onRedo() {
    // 如果是打谱，还要向前。
    player.first();
    if (iFirst) {
        player.next();
        player.next();
        player.next();
        player.next();
        player.next();

        player.next();
        player.next();
        //player.next();//已经走过一步
    }
    else {
        player.next();
        player.next();
        player.next();
        player.next();
        player.next();

        player.next();
        player.next();
        player.next();//黑要多走一步
        //player.next();
    }

    isEnd = false;
    isRight = false;
    tipHide();
}


function onStep(i) {
    //走一步
    if (i) {
		/*player.move = 8;
        player.move(8);*/
        player.next();
        player.next();
        player.next();
        player.next();
        player.next();

        player.next();
        player.next();
        player.next();
    }
    else {
        /*player.moveto(7);*/
        player.next();
        player.next();
        player.next();
        player.next();
        player.next();

        player.next();
        player.next();
    }
    isRight = false;
    isEnd = false;
}

function sgfWrong(){
}

//猜局页面初始化
function initGuess(id, sgfStr,section) {
    var section0 = { "top": 0, "left": 0, "right": 0, "bottom": 0 };
    var section1 = { "top": 0, "left": 7, "right": 0, "bottom": 7 };
    var section2 = { "top": 7, "left": 7, "right": 0, "bottom": 0 };
    var section3 = { "top": 7, "left": 0, "right": 7, "bottom": 0 };
    var section4 = { "top": 0, "left": 0, "right": 7, "bottom": 7 };

    player = new WGo.BasicPlayer(document.getElementById(id), {
        update: function (e) {
            if (e.node.move) {
                //if (!isEnd) isRight = true; //如果结束了，不再提示
                isRight = true;//如果默认走了一步，值仍然是false
            }
            if (e.node.children.length == 0) {
                //if (e.node.children.length < 2) {
                isEnd = true;
               // player.showMessage("结束！");
				window.GoJSInvokeClass.finished(0,'答对了！答题成功。');
				tipHide();
                //player.setWheel(true);
            }
        },
        layout: {  }
    });
    player.loadSgf(sgfStr, 0);
    player.setWheel(false);
    switch (section) {
        case 0:
            player.board.setSection(section0);
            break;
        case 1:
            player.board.setSection(section1);
            break;
        case 2:
            player.board.setSection(section2);
            break;
        case 3:
            player.board.setSection(section3);
            break;
        case 4:
            player.board.setSection(section4);
            break;
        default:
            ;
    }

    player.board.addEventListener("click", function (x1, y1) {
        if (isRight) {
            if (isEnd) {
                isRight = false;
                tipHide();
                return;
            }
            player.next();
			//记录坐标，添加标记，同时清除前面的标记
			/*player.board.addObject({
				x: x1,
				y: y1,
				type: TR
			});
			alert(1);*/
            tipHide();
			if(!isEnd)
				$('#tipRight').show();
			window.GoJSInvokeClass.success(0,'答对了！请走下一步。');

            isRight = false;
        }
        else {
            if (!isEnd) {
                tipShowWrong();
                $('#tipRight').hide();
                //fWrong();
                //player.showMessage("错了，再想想！");
            } else {
                tipHide();
            }
        }

    });
}


function wgoLoad() {
    tipHide();
　　　　	$('#select-d').change(function(){  
　　　　　　	  var p1=$(this).children('option:selected').val();//这就是selected的值  
				  setCookie("tq_d_id",p1);
				  setCookie("tq_n_id",1);
　　　　　　	 // window.location.href="wgo.php?d="+p1+"&n=1";//页面跳转并传参  
　　　　	})  
　　　　	$('#select-n').change(function(){  
　　　　　　	  var p1=$(this).children('option:selected').val();//这就是selected的值  
				  setCookie("tq_d_id",sgfD);
				  setCookie("tq_n_id",p1);
　　　　　　	 // window.location.href="wgo.php?d="+sgfD+"&n="+p1;//页面跳转并传参  
　　　　	})  
			if(document.cookie.indexOf("tq_d_id=")>0 && document.cookie.indexOf("tq_n_id=")>0)
			{
				//判断和当前值是否一致，一致就不跳转。
				if( (sgfD ==getCookie("tq_d_id")) && (sgfN ==getCookie("tq_n_id")) )
				{return;}
				//
				var c_d = getCookie("tq_d_id");
				var c_n = getCookie("tq_n_id");
				//alert("删除cookie跳转");
				delCookie("tq_d_id");
				delCookie("tq_n_id");
				//window.location.href="wgo.php?d="+c_d+"&n="+c_n;
			}
			else //设置新的cookie
			{
				//alert("设置新cooke");
				setCookie("tq_d_id",sgfD);
				setCookie("tq_n_id",sgfN);
			}
}


function setQuestionCookie(gid,nid) {
    switch (sgfC) {
        case 0:
            {
                //alert(gid + "," + nid);
                setCookie("tq_sihuo_g_id", gid);
                setCookie("tq_sihuo_n_id", nid);
            }
            break;
        case 1:
            {
                setCookie("tq_shoujin_g_id", gid);
                setCookie("tq_shoujin_n_id", nid);
            }
            break;
        case 2:
            {
                setCookie("tq_dingshi_g_id", gid);
                setCookie("tq_dingshi_n_id", nid);
            }
            break;
        case 3:
            {
                setCookie("tq_buju_g_id", gid);
                setCookie("tq_buju_n_id", nid);
            }
            break;
        case 4:
            {
                setCookie("tq_zhongpan_g_id", gid);
                setCookie("tq_zhongpan_n_id", nid);
            }
            break;
        case 5:
            {
                setCookie("tq_guanzi_g_id", gid);
                setCookie("tq_guanzi_n_id", nid);
            }
            break;
        case 6:
            {
                setCookie("tq_tengnuo_g_id", gid);
                setCookie("tq_tengnuo_n_id", nid);
            }
            break;
        case 7:
            {
                setCookie("tq_zhigu_g_id", gid);
                setCookie("tq_zhigu_n_id", nid);
            }
            break;
        default:
            ;
    }
}

function delQuestionCookie(gid, nid) {
    switch (sgfC) {
        case 0:
            {
                delCookie("tq_sihuo_g_id", gid);
                delCookie("tq_sihuo_n_id", nid);
            }
            break;
        case 1:
            {
                delCookie("tq_shoujin_g_id", gid);
                delCookie("tq_shoujin_n_id", nid);
            }
            break;
        case 2:
            {
                delCookie("tq_dingshi_g_id", gid);
                delCookie("tq_dingshi_n_id", nid);
            }
            break;
        case 3:
            {
                delCookie("tq_buju_g_id", gid);
                delCookie("tq_buju_n_id", nid);
            }
            break;
        case 4:
            {
                delCookie("tq_zhongpan_g_id", gid);
                delCookie("tq_zhongpan_n_id", nid);
            }
            break;
        case 5:
            {
                delCookie("tq_guanzi_g_id", gid);
                delCookie("tq_guanzi_n_id", nid);
            }
            break;
        case 6:
            {
                delCookie("tq_tengnuo_g_id", gid);
                delCookie("tq_tengnuo_n_id", nid);
            }
            break;
        case 7:
            {
                delCookie("tq_zhigu_g_id", gid);
                delCookie("tq_zhigu_n_id", nid);
            }
            break;
        default:
            ;
    }
}

function pageTo() {

    switch (sgfC) {
        case 0:
            {
                if (document.cookie.indexOf("tq_sihuo_g_id=") > 0 && document.cookie.indexOf("tq_sihuo_n_id=") > 0) {
                    //判断和当前值是否一致，一致就不跳转。
                    if ((sgfG == getCookie("tq_sihuo_g_id")) && (sgfN == getCookie("tq_sihuo_n_id")))
                    { return; }
                    //
                    var c_g = getCookie("tq_sihuo_g_id");
                    var c_n = getCookie("tq_sihuo_n_id");
                    //alert("删除cookie跳转");
                    delQuestionCookie(c_g, c_n);
                    //window.location.href = "wgo-question.php?g=" + c_g + "&n=" + c_n + "&c=" + sgfC; //页面跳转并传参  
                }
                else //设置新的cookie
                {
                    setQuestionCookie(sgfG, sgfN);
                }
            }
            break;
        case 1:
            {
                if (document.cookie.indexOf("tq_shoujin_g_id=") > 0 && document.cookie.indexOf("tq_shoujin_n_id=") > 0) {
                    //判断和当前值是否一致，一致就不跳转。
                    if ((sgfG == getCookie("tq_shoujin_g_id")) && (sgfN == getCookie("tq_shoujin_n_id")))
                    { return; }
                    //
                    var c_g = getCookie("tq_shoujin_g_id");
                    var c_n = getCookie("tq_shoujin_n_id");
                    //alert("删除cookie跳转");
                    delQuestionCookie(c_g, c_n);
                  //  window.location.href = "wgo-question.php?g=" + c_g + "&n=" + c_n + "&c=" + sgfC; //页面跳转并传参  
                }
                else //设置新的cookie
                {
                    setQuestionCookie(sgfG, sgfN);
                }
            }
            break;
        case 2:
            {
                if (document.cookie.indexOf("tq_dingshi_g_id=") > 0 && document.cookie.indexOf("tq_dingshi_n_id=") > 0) {
                    //判断和当前值是否一致，一致就不跳转。
                    if ((sgfG == getCookie("tq_dingshi_g_id")) && (sgfN == getCookie("tq_dingshi_n_id")))
                    { return; }
                    //
                    var c_g = getCookie("tq_dingshi_g_id");
                    var c_n = getCookie("tq_dingshi_n_id");
                    //alert("删除cookie跳转");
                    delQuestionCookie(c_g, c_n);
                  //  window.location.href = "wgo-question.php?g=" + c_g + "&n=" + c_n + "&c=" + sgfC; //页面跳转并传参  
                }
                else //设置新的cookie
                {
                    setQuestionCookie(sgfG, sgfN);
                }
            }
            break;
        case 3:
            {
                if (document.cookie.indexOf("tq_buju_g_id=") > 0 && document.cookie.indexOf("tq_buju_n_id=") > 0) {
                    //判断和当前值是否一致，一致就不跳转。
                    if ((sgfG == getCookie("tq_buju_g_id")) && (sgfN == getCookie("tq_buju_n_id")))
                    { return; }
                    //
                    var c_g = getCookie("tq_buju_g_id");
                    var c_n = getCookie("tq_buju_n_id");
                    //alert("删除cookie跳转");
                    delQuestionCookie(c_g, c_n);
                   // window.location.href = "wgo-question.php?g=" + c_g + "&n=" + c_n + "&c=" + sgfC; //页面跳转并传参  
                }
                else //设置新的cookie
                {
                    setQuestionCookie(sgfG, sgfN);
                }
            }
            break;
        case 4:
            {
                if (document.cookie.indexOf("tq_zhongpan_g_id=") > 0 && document.cookie.indexOf("tq_zhongpan_n_id=") > 0) {
                    //判断和当前值是否一致，一致就不跳转。
                    if ((sgfG == getCookie("tq_zhongpan_g_id")) && (sgfN == getCookie("tq_zhongpan_n_id")))
                    { return; }
                    //
                    var c_g = getCookie("tq_zhongpan_g_id");
                    var c_n = getCookie("tq_zhongpan_n_id");
                    //alert("删除cookie跳转");
                    delQuestionCookie(c_g, c_n);
                   // window.location.href = "wgo-question.php?g=" + c_g + "&n=" + c_n + "&c=" + sgfC; //页面跳转并传参  
                }
                else //设置新的cookie
                {
                    setQuestionCookie(sgfG, sgfN);
                }
            }
            break;
        case 5:
            {
                if (document.cookie.indexOf("tq_guanzi_g_id=") > 0 && document.cookie.indexOf("tq_guanzi_n_id=") > 0) {
                    //判断和当前值是否一致，一致就不跳转。
                    if ((sgfG == getCookie("tq_guanzi_g_id")) && (sgfN == getCookie("tq_guanzi_n_id")))
                    { return; }
                    //
                    var c_g = getCookie("tq_guanzi_g_id");
                    var c_n = getCookie("tq_guanzi_n_id");
                    //alert("删除cookie跳转");
                    delQuestionCookie(c_g, c_n);
                   // window.location.href = "wgo-question.php?g=" + c_g + "&n=" + c_n + "&c=" + sgfC; //页面跳转并传参  
                }
                else //设置新的cookie
                {
                    setQuestionCookie(sgfG, sgfN);
                }
            }
            break;
        case 6:
            {
                if (document.cookie.indexOf("tq_tengnuo_g_id=") > 0 && document.cookie.indexOf("tq_tengnuo_n_id=") > 0) {
                    //判断和当前值是否一致，一致就不跳转。
                    if ((sgfG == getCookie("tq_tengnuo_g_id")) && (sgfN == getCookie("tq_tengnuo_n_id")))
                    { return; }
                    //
                    var c_g = getCookie("tq_tengnuo_g_id");
                    var c_n = getCookie("tq_tengnuo_n_id");
                    //alert("删除cookie跳转");
                    delQuestionCookie(c_g, c_n);
                   // window.location.href = "wgo-question.php?g=" + c_g + "&n=" + c_n + "&c=" + sgfC; //页面跳转并传参  
                }
                else //设置新的cookie
                {
                    setQuestionCookie(sgfG, sgfN);
                }
            }
            break;
        case 7:
            {
                if (document.cookie.indexOf("tq_zhigu_g_id=") > 0 && document.cookie.indexOf("tq_zhigu_n_id=") > 0) {
                    //判断和当前值是否一致，一致就不跳转。
                    if ((sgfG == getCookie("tq_zhigu_g_id")) && (sgfN == getCookie("tq_zhigu_n_id")))
                    { return; }
                    //
                    var c_g = getCookie("tq_zhigu_g_id");
                    var c_n = getCookie("tq_zhigu_n_id");
                    //alert("删除cookie跳转");
                    delQuestionCookie(c_g, c_n);
                   // window.location.href = "wgo-question.php?g=" + c_g + "&n=" + c_n + "&c=" + sgfC; //页面跳转并传参  
                }
                else //设置新的cookie
                {
                    setQuestionCookie(sgfG, sgfN);
                }
            }
            break;
        default:
            ;
    }
}




function questionLoad() {
    tipHide();
    $('#select-d').change(function () {
    var p1 = $(this).children('option:selected').val(); //这就是selected的值  
    //判断类型，死活，手筋sgfC
    setQuestionCookie(p1, 1);
   // window.location.href = "wgo-question.php?g=" + p1 + "&n=1&c=" + sgfC;
    })
    $('#select-n').change(function () {
    var p1 = $(this).children('option:selected').val(); //这就是selected的值  
    setQuestionCookie(sgfG, p1);
   // window.location.href="wgo-question.php?g="+sgfG+"&n="+p1+"&c="+sgfC;//页面跳转并传参  
    })
    pageTo();
}


function initQipu(id, sgfStr,section) {
    var section0 = { "top": 0, "left": 0, "right": 0, "bottom": 0 };
    var section1 = { "top": 0, "left": 7, "right": 0, "bottom": 7 };
    var section2 = { "top": 7, "left": 7, "right": 0, "bottom": 0 };
    var section3 = { "top": 7, "left": 0, "right": 7, "bottom": 0 };
    var section4 = { "top": 0, "left": 0, "right": 7, "bottom": 7 };

    player = new WGo.BasicPlayer(document.getElementById(id), {
        update: function (e) {
        },
        layout: {bottom: ["Control"] }
    });
    player.loadSgf(sgfStr, 0);
    //player.setWheel(false);
    switch (section) {
        case 0:
            player.board.setSection(section0);
            break;
        case 1:
            player.board.setSection(section1);
            break;
        case 2:
            player.board.setSection(section2);
            break;
        case 3:
            player.board.setSection(section3);
            break;
        case 4:
            player.board.setSection(section4);
            break;
        default:
            ;
    }
	player.board.addEventListener("click", function (x1, y1) {
            player.next();
	});
}

function setcursorbyid(id,cursorstyle) { 
	if (document.getelementbyid) { 
		if (document.getelementbyid(id).style) { 
			document.getelementbyid(id).style.cursor=cursorstyle; 
		} 
	} 
} 


function loadData(content,tips,position){
	//sgfStr = //"(;GM[1]AP[StoneBase:SGFParser.3.0.1]SZ[19]CA[gb2312]HA[0]AB[br][bq][cq][dr][cs][ap][cn][dn][do][dp][fo]AW[bp][cp][co][bo][bn][cm][dm][dq][eq][er][hq]LB[em:A][ho:B];B[em];W//[el];B[fm])";
	sgfStr = content;
	sgfSection = parseInt(position);
	$("#tdTips").html(tips);
	initGuess("wgo", sgfStr,sgfSection);
}